/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLHeadingElement_H___INT_
#define __GdomHTMLHeadingElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLHeadingElement.h"
G_BEGIN_DECLS
class GDOMHTMLHeadingElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_HEADING_ELEMENT; }
    GDOMHTMLHeadingElement(PassRefPtr<WebCore::HTMLHeadingElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLHeadingElement_H___INT_*/
